<?php

namespace App\Services\Notification\Exceptions;

use App\Exceptions\Throwable;
use Exception;
use Illuminate\Http\JsonResponse;

class NotificationServerNotRespondingException extends Exception
{
    public $message;

    public function __construct(string $message = "", int $code = 500, ?Throwable $previous = null)
    {
        $this->message = $message;

        parent::__construct($message, $code, $previous);
    }

    /**
     * Report the exception.
     */
    public function report(): void
    {
        // ...
    }

    /**
     * Render the exception into an HTTP response.
     */
    public function render(): JsonResponse
    {
        return response()->json([
            'message' => $this->message
        ], $this->code);
    }
}
